/********************************************************************************/
/*																				*/
/*	Kroenke, Auer, Vandenberg, and Yoder 					*/
/*	Database Concepts (8th Edition) Chapter 03 	       		*/
/*																				*/
/*  James River Jewelry Database Data											*/
/*																				*/
/*	These are the Oracle Express 11g R2 SQL code solutions				*/
/*																				*/
/********************************************************************************/

/*****   CUSTOMER DATA   ********************************************************/

INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
	'Stanley', 'Elizabeth','555-236-7789', 'Elizabeth.Stanley@somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
	'Price', 'Fred', '555-236-0091', 'Fred.Price@somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
	'Becky', 'Linda', '555-236-0392', 'Linda.Becky@somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
	'Birch', 'Pamela', '555-236-4493', 'Pamela.Birch@somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
	'Romez', 'Ricardo', '555-236-3334', 'Ricardo.Romez@somewhere.com');
INSERT INTO CUSTOMER VALUES(seqCID.nextVal,
	'Jackson', 'Samantha', '555-236-1095', 'Samantha.Jackson@somewhere.com');

/*****   ITEM DATA   ************************************************************/

INSERT INTO ITEM VALUES(seqIID.nextVal, 'Gold Bracelet', 120.00, 'Josephson', 'Mary');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Gold Necklace', 160.00, 'Baker', 'Samantha');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Bead Earrings', 50.00, 'Josephson', 'Mary');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Gold Bracelet', 180.00, 'Baker', 'Samantha');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Silver Necklace', 135.00, 'Baxter', 'Sam');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Bead Earrings', 25.00, 'Josephson', 'Mary');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Bead Earrings', 22.50, 'Josephson', 'Mary');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Gold Earrings', 50.00, 'Lintz', 'John');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Gold Necklace', 160.00, 'Lintz', 'John');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Bead Earrings', 20.00, 'Josephson', 'Mary');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Bead Earrings', 35.00, 'Josephson', 'Mary');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Bead Earrings', 45.00, 'Josephson', 'Mary');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Gold Necklace', 225.00, 'Lintz', 'John');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Silver Earrings', 55.00, 'Lintz', 'John');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Gold Bracelet', 200.00, 'Lintz', 'John');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Bead Earrings', 25.00, 'Josephson', 'Mary');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Bead Earrings', 45.00, 'Josephson', 'Mary');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Gold Bracelet', 210.00, 'Baker', 'Samantha');
INSERT INTO ITEM VALUES(seqIID.nextVal, 'Silver Necklace', 165.00, 'Baxter', 'Sam');

/*****   PURCHASE   *************************************************************/

INSERT INTO PURCHASE VALUES(seqPID.nextVal, TO_DATE('05-MAY-17', 'DD-MON-YY'), 155.00, 1);
INSERT INTO PURCHASE VALUES(seqPID.nextVal, TO_DATE('07-MAY-17', 'DD-MON-YY'),  203.00, 2);
INSERT INTO PURCHASE VALUES(seqPID.nextVal, TO_DATE('11-MAY-17', 'DD-MON-YY'), 75.00, 3);
INSERT INTO PURCHASE VALUES(seqPID.nextVal, TO_DATE('15-MAY-17', 'DD-MON-YY'), 67.00, 4);
INSERT INTO PURCHASE VALUES(seqPID.nextVal, TO_DATE('15-MAY-17', 'DD-MON-YY'), 330.00, 5);
INSERT INTO PURCHASE VALUES(seqPID.nextVal, TO_DATE('16-MAY-17', 'DD-MON-YY'), 25.00, 1);
INSERT INTO PURCHASE VALUES(seqPID.nextVal, TO_DATE('25-MAY-17', 'DD-MON-YY'), 45.00, 3);
INSERT INTO PURCHASE VALUES(seqPID.nextVal, TO_DATE('06-JUN-17', 'DD-MON-YY'), 445.00, 1);
INSERT INTO PURCHASE VALUES(seqPID.nextVal, TO_DATE('07-JUN-17', 'DD-MON-YY'), 72.00, 6);

/*****   PURCHASE_ITEM DATA   ***************************************************/

INSERT INTO PURCHASE_ITEM VALUES(1001, 1, 1, 155.00);
INSERT INTO PURCHASE_ITEM VALUES(1002, 1, 2, 203.00);
INSERT INTO PURCHASE_ITEM VALUES(1003, 1, 3, 75.00);
INSERT INTO PURCHASE_ITEM VALUES(1004, 1, 6, 35.00);
INSERT INTO PURCHASE_ITEM VALUES(1004, 2, 7, 32.00);
INSERT INTO PURCHASE_ITEM VALUES(1005, 1, 4, 240.00);
INSERT INTO PURCHASE_ITEM VALUES(1005, 2, 8, 90.00);
INSERT INTO PURCHASE_ITEM VALUES(1006, 1, 10, 25.00);
INSERT INTO PURCHASE_ITEM VALUES(1007, 1, 11, 45.00);
INSERT INTO PURCHASE_ITEM VALUES(1008, 1, 5, 175.00);
INSERT INTO PURCHASE_ITEM VALUES(1008, 2, 9, 215.00);
INSERT INTO PURCHASE_ITEM VALUES(1008, 3, 12, 55.00);
INSERT INTO PURCHASE_ITEM VALUES(1009, 1, 14, 72.00);

/*********************************************************************************/

